summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/sets/0065_icmp_postprocessing
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/sets/0065_icmp_postprocessing')
-rwxr-xr-xtests/shell/testcases/sets/0065_icmp_postprocessing13
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/shell/testcases/sets/0065_icmp_postprocessing b/tests/shell/testcases/sets/0065_icmp_postprocessing
new file mode 100755
index 00000000..f838c3ef
--- /dev/null
+++ b/tests/shell/testcases/sets/0065_icmp_postprocessing
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -e
+
+RULESET="table ip x {
+ chain foo {
+ icmp id 42
+ }
+}"
+
+$NFT -f - <<< $RULESET
+
+$NFT insert rule ip x foo index 0 accept